Payment details

GET
/payments/{id}

Returns the full details of an existing payment that you've created througn the POST /payments endpoint. Simply supply the id of the payment we returned when the payment was created.

You can retrieve a filterable list of payments through the GET /payments endpoint.

Authorization

oauth
headerAuthorizationBearer <token>

OAuth2 password grant - see the documentation in the oAuth2 Authentication section

Path Parameters

id*string

ID of the payment

Formatuuid

Response Body

OK - Payment details for the ID specified

application/json
  1. response

Payments - money flowing from a consumer to a merchant.

id?string

UUID identifying the payment

active?boolean
createdAt?string

Timestamp for when the payment was requested

Formatdate-time
currency?
amount?integer

The amount of the transaction in 1/100 units (pence, cents etc)

type?string

The transaction type (predefined, please select the most appropriate for your transaction)

Value in"BILL""GOODS""PERSON_TO_PERSON""OTHER""SERVICES"
account?
uniqueReference?string

Unique reference for the payment from the merchant

bank?

Banks and financial institutions.

status?string

The current status of the payment (in words)

statusUpdates?array<>
beneficiary?
transferType?string
sender?
refundAvailable?boolean
refundNotAvailableReason?string
refundNotAvailableCode?string
Example Request
curl -X GET 'https://api.sandbox.volt.io/payments/93b85f3c-76eb-4316-b1ae-f3370ddc59bc'
Example Response
{  "id": "string",  "active": true,  "createdAt": "2019-08-24T14:15:22Z",  "currency": {    "id": "string",    "name": "string",    "decimal": 0,    "active": true  },  "amount": 0,  "type": "BILL",  "account": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "active": true,    "createdAt": "2019-08-24T14:15:22Z",    "nickname": "string",    "accountNumber": "string",    "iban": "string",    "swiftBic": "string",    "currency": {      "id": "string",      "name": "string",      "decimal": 0,      "active": true    },    "country": {      "id": "st",      "name": "string"    },    "bankname": "string"  },  "uniqueReference": "string",  "bank": {    "id": "string",    "name": "string",    "country": {      "id": "st",      "name": "string"    },    "officialName": "string",    "branchName": "string",    "shortBranchName": "string",    "active": true,    "logo": "string",    "icon": "string"  },  "status": "string",  "statusUpdates": [    {      "createdAt": "string",      "newStatus": "string"    }  ],  "beneficiary": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "accountIdentifications": [      {        "type": "string",        "value": "string"      }    ],    "country": {      "id": "st",      "name": "string"    }  },  "transferType": "string",  "sender": {    "name": "string",    "email": "string",    "ip": "string",    "deviceFingerprint": "string",    "voltConnect": {      "accountName": "string",      "accountNumber": "string",      "sortCode": "string"    }  },  "refundAvailable": true,  "refundNotAvailableReason": "string",  "refundNotAvailableCode": "string"}